Package com.xebialabs.xlrelease.domain.delivery

# Class StageCompletionSubscriber

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.delivery.Subscriber
com.xebialabs.xlrelease.domain.delivery.StageCompletionSubscriber

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

public class StageCompletionSubscriber extends Subscriber

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StageCompletionSubscriber()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SubscriptionResult`
  `evaluate(Delivery delivery)`
  `String`
  `getStageId()`
  `void`
  `setStageId(String x$1)`
  `String`
  `stageId()`
  `void`
  `stageId_$eq(String x$1)`
  `void`
  `validate(Delivery delivery)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.delivery.Subscriber

  `getSourceId, isEqual, setSourceId, sourceId, sourceId_$eq`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StageCompletionSubscriber

    public StageCompletionSubscriber()

- ## Method Details

  - ### evaluate

    public SubscriptionResult evaluate(Delivery delivery)
    Specified by:
      `evaluate` in class `Subscriber`

  - ### getStageId

    public String getStageId()

  - ### setStageId

    public void setStageId(String x$1)

  - ### stageId

    public String stageId()

  - ### stageId_$eq

    public void stageId_$eq(String x$1)

  - ### validate

    public void validate(Delivery delivery)
    Specified by:
      `validate` in class `Subscriber`